#!/usr/local/bin/perl
# Author : Binny V A
# Website: http://www.geocities.com/binnyva
# E-Mail : binnyva@hotmail.com
# Get more Perl scripts from http://www.geocities.com/binnyva/code/perl
# Made for Perl Tutorial at http://www.geocities.com/binnyva/code/perl/tutorial/
use strict;

print "Here's some descriptions of airplanes run by various operating systems...\n\n";
my $OS = "DOS";

print "Our OS is $OS. So our plane will be like this...\n";
if ( $OS eq "DOS" ) { 
print "Everybody pushes it till it glides, then jumps on and lets it
coast till it skids, then jumps off, pushes, jumps back on, etc.";
}
elsif ( $OS eq "Macintosh") {
print "All the flight attendants, captains and baggage handlers
look the same, act the same and talk the same. Every time you ask a
question, you are told you don't need to know, don't want to know and
everything will be done for you without your knowing, so just shut up.";
}
elsif ( $OS eq "OS/2") {
print "To get on board, you have to have your ticket stamped 10
different times by standing in 10 different lines. Then you fill out a
form asking how you want your seating arranged--with the look and feel
of an ocean liner, a passenger train or a bus. If you get on board and
off the ground, you will have a wonderful trip, except when the rudder
and flaps freeze, in which case you have time to say your prayers
before you crash.";
}
elsif ( $OS eq "Windows") {
print "Colorful airport terminal, friendly flight attendants, easy
access to a plane, uneventful takeoff. Then: BOOM! You blow up without
any warning whatsoever.";
}
elsif ( $OS eq "NT") {
print "The terminal and flight attendants all look like those the Windows
plane uses, but the process of checking in and going through security
is a nightmare. Once aboard, those passengers with first class tickets
can go anywhere they want and arrive in half the time, while the vast
majority of passengers with coach tickets can't even get aboard.";
}
elsif ( $OS eq "Unix") {
print "Everyone brings one piece of the plane. Then they go on the
runway and piece it together, all the while arguing about what kind of
plane they're building.";
}
else {
print "General Error: No Plane.";
}